/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class MoyenneEnConsole {

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("Moyenne");
    double total = 0.0;        // Total des notes accumulees int
    int cpt = 0;               // Compteur de notes accumulees double
    double note;               // Note a traiter
  /* Boucle de lecture des notes                          */
    do {
  /* Lecture d'une note au clavier   int double                     */
      Console.out.print("Nouvelle note (-1 pour arreter) : ");
      note = Double.valueOf(Console.in.readLine()).doubleValue();
  /* Si la note est differente de -1.                     */
  /* -> Elle doit etre accumulee.                         */
      if ( note != -1.0 ) {
  /* Increment du compteur et accumulation                */
        cpt++;
        total = total + note; } }
    while ( note != -1.0 );
  /* Arret de la boucle quand -1 est tape                 */
  /* Test du nombre de note tapees pour eviter            */
  /* une division par zero lors du calcul de la moyenne   */
  /* si aucune note n'est saisie.                         */
    if ( cpt == 0.0 )
      Console.out.println("Pas de note saisie\n");
      else
      Console.out.println(cpt+" note(s), "+total+" au total, "+
                         (total/cpt)+" de moyenne\n");
  }
}